// $Id: HtmlTextNode.cpp,v 1.8 2011/12/21 13:36:45 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
**********************************************************************************/

/*!
    \file HtmlUtil.cpp
    \brief Some Html utilities
    \author Hugo Pereira
    \version $Revision: 1.8 $
    \date $Date: 2011/12/21 13:36:45 $
*/

#include <QStringList>

#include "Debug.h"
#include "HtmlTextNode.h"

//_________________________________________
HtmlTextNode::HtmlTextNode( const QString& text, QDomElement& parent, QDomDocument& document )
{

  Debug::Throw( "HtmlTextNode::HtmlTextNode.\n" );
  QStringList lines( text.split( '\n' ) );
  if( lines.empty() ) return;

  // first append the first line
  QStringList::iterator iter = lines.begin();
  parent.appendChild( document.createTextNode( *iter ) );
  ++iter;

  // append remaining lines, after end of line tag
  for( ;iter != lines.end(); ++iter )
  {
    parent.appendChild( document.createElement( "br" ) );
    parent.appendChild( document.createTextNode( *iter ) );
  }

  return;
}
