#ifndef ScratchFileMonitor_h
#define ScratchFileMonitor_h

// $Id: ScratchFileMonitor.h,v 1.1 2011/11/24 14:06:04 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "Counter.h"
#include "File.h"

#include <QtCore/QObject>
#include <set>

//! used to automatically
class ScratchFileMonitor: public QObject, public Counter
{

    Q_OBJECT

    public:

    //! constructor
    ScratchFileMonitor( QObject* parent = 0 ):
        QObject( 0 ),
        Counter( "ScratchFileMonitor" )
    {}

    //! destructor
    virtual ~ScratchFileMonitor( void )
    {}

    public slots:

    //! add
    void add( const File& file );

    //! delete all scratch files
    void deleteScratchFiles( void );

    private:

    typedef std::set<File> FileSet;
    FileSet files_;

};

#endif
